This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 877572 (CVE-2012-5532)

Summary: CVE-2012-5532 hypervkvpd: Netlink source address validation allows denial of service
Product: [Other] Security Response Reporter: Vincent Danen <vdanen>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: rdassen, security-response-team, thozza
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20120606,reported=20121102,source=redhat,cvss2=2.1/AV:L/AC:L/Au:N/C:N/I:N/A:P,rhel-5/hypervkvpd=affected,rhel-6/hypervkvpd=notaffected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-05-14 13:02:35 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 872593, 872749, 953560    
Bug Blocks: 877573    

Description Vincent Danen 2012-11-16 17:45:23 EST
Florian Weimer of the Red Hat Product Security Team discovered that hypervkvpd
would exit when it processed a spoofed Netlink packet that had been sent from
an untrusted local user, in the following code:

        len = recvfrom(fd, kvp_recv_buffer, sizeof(kvp_recv_buffer), 0,
                addr_p, &addr_l);

        if (len < 0 || addr.nl_pid) {
            syslog(LOG_ERR, "recvfrom failed; pid:%u error:%d %s",
                    addr.nl_pid, errno, strerror(errno));
            close(fd);
            return -1;
        }


Acknowledgements:

This issue was discovered by Florian Weimer of the Red Hat Product Security
Team.
Comment 3 Vincent Danen 2012-11-27 13:18:57 EST
Statement:

The Red Hat Security Response Team has rated this issue as having low security impact. A future update may address this issue. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.
Comment 4 Vincent Danen 2012-11-27 13:57:39 EST
This was actually reported to oss-sec back in June:

http://seclists.org/oss-sec/2012/q2/476

And it was then assigned the name CVE-2012-2669.
Comment 5 Vincent Danen 2012-11-27 16:35:16 EST
As explained in:

http://www.openwall.com/lists/oss-security/2012/11/27/12

These are two different flaws.  CVE-2012-2669 is for "failing to check origin of netlink messages" and CVE-2012-5532 is for the "exiting upon receipt of spoofed netlink messages".

This bug is indeed for CVE-2012-5532.
Comment 7 Vincent Danen 2013-01-09 14:16:05 EST
Bug #893728 was filed for CVE-2012-2669, although it does not affect Red Hat Enterprise Linux 5 at all (so there is a statement to that effect with the appropriate references).
Comment 9 errata-xmlrpc 2013-05-09 14:15:04 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:0807 https://rhn.redhat.com/errata/RHSA-2013-0807.html